﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Web;

namespace Umc.Core.Web.HttpCompression
{
	/// <summary>
	/// Umc.Core<br/>
	/// HTTP 압축 메서드를 정의합니다.
	/// </summary>
	public interface IHttpCompression
	{
		/// <summary>
		/// Umc.Core<br/>
		/// HTTP 압축을 수행합니다.
		/// </summary>
		/// <param name="context">HTTP 파이프라인의 HttpContext 입니다.</param>
		/// <param name="level">압축율을 지정합니다.</param>
		void Compression(HttpContext context, HttpCompressionLevel level);
	}
}
